From bffcdd5f4bdf47c691770d7de7e971f7ba220172 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 18 2020 02:12:38 +0000
Subject: [PATCH 155/2232] Use consistent filenames for generated code


This makes it clearer that the filename doesn't need to be connected to
the rule name.

---

diff --git a/demo-rs/BUCK b/demo-rs/BUCK
index a0f6fb0..eac4182 100644
--- a/demo-rs/BUCK
+++ b/demo-rs/BUCK
@@ -22,7 +22,7 @@ genrule(
     srcs = ["src/main.rs"],
     cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
     type = "cxxbridge",
-    out = "gen-demo.h",
+    out = "generated.h",
 )
 
 genrule(
@@ -30,7 +30,7 @@ genrule(
     srcs = ["src/main.rs"],
     cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
     type = "cxxbridge",
-    out = "gen-demo.cc",
+    out = "generated.cc",
 )
 
 cxx_library(
diff --git a/demo-rs/BUILD b/demo-rs/BUILD
index 389ee58..f703be3 100644
--- a/demo-rs/BUILD
+++ b/demo-rs/BUILD
@@ -30,7 +30,7 @@ genrule(
 genrule(
     name = "gen-source",
     srcs = ["src/main.rs"],
-    outs = ["gen-demo.cc"],
+    outs = ["generated.cc"],
     cmd = "$(location //:codegen) $< > $@",
     tools = ["//:codegen"],
 )
diff --git a/tests/BUCK b/tests/BUCK
index 81f74de..b488c90 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -31,12 +31,12 @@ genrule(
     name = "gen-header",
     srcs = ["ffi/lib.rs"],
     cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
-    out = "gen.h",
+    out = "generated.h",
 )
 
 genrule(
     name = "gen-source",
     srcs = ["ffi/lib.rs"],
     cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
-    out = "gen.cc",
+    out = "generated.cc",
 )
diff --git a/tests/BUILD b/tests/BUILD
index 16825f6..ef6477f 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -39,7 +39,7 @@ genrule(
 genrule(
     name = "gen-source",
     srcs = ["ffi/lib.rs"],
-    outs = ["gen.cc"],
+    outs = ["generated.cc"],
     cmd = "$(location //:codegen) $< > $@",
     tools = ["//:codegen"],
 )

